Qt 5.6 | Qt GUI | C++ Classes | QKeySequence

Qt 5.6.2 Reference Documentation

# Obsolete Members for QKeySequence

The following members of class QKeySequence are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | operator QString() const
`(obsolete)` | operator int() const

## Member Function Documentation

### QKeySequence::operator QString() const

Use toString() instead.

Returns the key sequence as a QString. This is equivalent to calling toString(QKeySequence::NativeText). Note that the result is not platform independent.

### QKeySequence::operator int() const

For backward compatibility: returns the first keycode as integer. If the key sequence is empty, 0 is returned.